Link statistics
GET https://cdlp.opticfile.net/api/statistics/
curl --request GET \
--url 'https://cdlp.opticfile.net/api/statistics/' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://cdlp.opticfile.net/api/statistics/' \
--header 'Authorization: Bearer {api_key}' \
| Parameters | Details | Description |
|---|---|---|
| start_date | Optional String | Start date in Y-m-d format. Defaults to 30 days ago if omitted. |
| end_date | Optional String | End date in Y-m-d format. Defaults to today if omitted. |
| type | Optional String | Allowed values: overview, entries, referrer_host, referrer_path, crawler, continent_code, country_code, region_name, city_name, timezone, os_name, browser_name, device_type, browser_language, utm_source, utm_medium, utm_campaign, hour, weekday, visitor_type, acquisition_channel |
| continent_code | Optional String | Available when: type = country_code |
| country_code | Optional String | Available when: type = region_name, city_name |
| region_name | Optional String | Available when: type = city_name |
| referrer_type | Optional String | Available when: type = referrer_host Allowed values: all, ai, social_media, search_engines, other_websites |
| crawler_type | Optional String | Available when: type = crawler Allowed values: all, ai, search_engines |
| utm_source | Optional String | Available when: type = utm_medium, utm_campaign |
| utm_medium | Optional String | Available when: type = utm_campaign |
| referrer_host | Optional String | Available when: type = referrer_path |
{
"data": [
{
"pageviews": 20,
"visitors": 5,
"formatted_date": "2021-01"
},
{
"pageviews": 35,
"visitors": 10,
"formatted_date": "2021-02"
},
{
"pageviews": 50,
"visitors": 25,
"formatted_date": "2021-03"
}
],
"meta": {
"page": 1,
"results_per_page": 25,
"total": 1,
"total_pages": 1
},
"links": {
"first": "https://cdlp.opticfile.net/api/statistics?page=1",
"last": "https://cdlp.opticfile.net/api/statistics?page=1",
"next": null,
"prev": null,
"self": "https://cdlp.opticfile.net/api/statistics?page=1"
}
}
GET https://cdlp.opticfile.net/api/statistics/{link_id}
| Parameters | Details | Description |
|---|---|---|
| start_date | Optional String | Start date in Y-m-d format. Defaults to 30 days ago if omitted. |
| end_date | Optional String | End date in Y-m-d format. Defaults to today if omitted. |
| type | Optional String | Allowed values: overview, entries, referrer_host, referrer_path, crawler, continent_code, country_code, region_name, city_name, timezone, os_name, browser_name, device_type, browser_language, utm_source, utm_medium, utm_campaign, hour, weekday, visitor_type, acquisition_channel |
| continent_code | Optional String | Available when: type = country_code |
| country_code | Optional String | Available when: type = region_name, city_name |
| region_name | Optional String | Available when: type = city_name |
| referrer_type | Optional String | Available when: type = referrer_host Allowed values: all, ai, social_media, search_engines, other_websites |
| crawler_type | Optional String | Available when: type = crawler Allowed values: all, ai, search_engines |
| utm_source | Optional String | Available when: type = utm_medium, utm_campaign |
| utm_medium | Optional String | Available when: type = utm_campaign |
| referrer_host | Optional String | Available when: type = referrer_path |
curl --request GET \
--url 'https://cdlp.opticfile.net/api/statistics/{link_id}?start_date=2020-01-01&end_date=2021-01-01' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://cdlp.opticfile.net/api/statistics/{link_id}?start_date=2020-01-01&end_date=2021-01-01' \
--header 'Authorization: Bearer {api_key}' \
{
"data": [
{
"pageviews": 20,
"visitors": 5,
"formatted_date": "2021-01"
},
{
"pageviews": 35,
"visitors": 10,
"formatted_date": "2021-02"
},
{
"pageviews": 50,
"visitors": 25,
"formatted_date": "2021-03"
}
]
}